Package org.apache.sling.launchpad.testservices.serversidetests

# Class WriteableResourcesTest

java.lang.Object
org.apache.sling.launchpad.testservices.serversidetests.WriteableResourcesTest

public class WriteableResourcesTest extends Object
Test (and demonstrate) the Sling Resource CRUD functionality

## Constructor Summary

Constructors
Constructor
Description
`WriteableResourcesTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup()`
`void`
`setup()`
`void`
`testSimpleCRUD()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriteableResourcesTest

public WriteableResourcesTest()

## Method Details

### setup

public void setup() throws Exception

Throws:
  `Exception`

### cleanup

public void cleanup() throws Exception

Throws:
  `Exception`

### testSimpleCRUD

public void testSimpleCRUD() throws Exception

Throws:
  `Exception`